# React CRUD example with Redux Toolkit, RTK Query & REST API

In this article, you'll learn how to make Get/Post/Patch/Delete requests to a RESTful API with React, Redux Toolkit, and RTK Query.

![React CRUD example with Redux Toolkit, RTK Query & REST API](https://codevoweb.com/wp-content/uploads/2022/06/React-CRUD-example-with-Redux-Toolkit-RTK-Query-REST-API.webp)

## Topics Covered

- React, Redux Toolkit & RTK Query example Overview
- How to Set up Redux Toolkit and RTK Query with React
- Create a Custom Fetch Base in RTK Query
- Create the API Queries and Mutations with RTK Query
- Connect the Queries and Mutations to the Store
- Create a Modal Component
- React RTK Query DELETE Request
- React RTK Query GET Request
- React RTK Query POST Request
- React RTK Query PATCH Request

Read the entire article here: [https://codevoweb.com/react-crud-example-with-redux-toolkit-rtk-query/](https://codevoweb.com/react-crud-example-with-redux-toolkit-rtk-query/)


Articles in this series:

### 1. Node.js + TypeScript + MongoDB: JWT Authentication

[Node.js + TypeScript + MongoDB: JWT Authentication](https://codevoweb.com/node-typescript-mongodb-jwt-authentication)

### 2. Node.js + TypeScript + MongoDB: JWT Refresh Token

[Node.js + TypeScript + MongoDB: JWT Refresh Token](https://codevoweb.com/react-node-access-refresh-tokens-authentication)

### 3. Google OAuth Authentication with React.js and Node.js (No Passport)

[Google OAuth Authentication with React.js and Node.js (No Passport)](https://codevoweb.com/react-node-access-refresh-tokens-authentication)

### 4. GitHub OAuth Authentication React.js and Node.js(No Passport)

[GitHub OAuth Authentication React.js and Node.js(No Passport)](https://codevoweb.com/github-oauth-authentication-react-and-node)

### 5. React CRUD example with Redux Toolkit, RTK Query & REST API

[React CRUD example with Redux Toolkit, RTK Query & REST API)](https://codevoweb.com/react-crud-example-with-redux-toolkit-rtk-query)
